# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  helper :all 
  helper_method :current_user_id, :logged_in? 

  # See ActionController::RequestForgeryProtection for details
  # Uncomment the :secret if you're not using the cookie session store
  protect_from_forgery # :secret => 'c8f576d6cdd44f27fb16413b271c6eea'

  protected


  # XML でのアクセスの場合、HTTP のヘッダを利用して RESTful なリクエストの認証を行います
  # 認証できなかった場合、エラーを返します
  def login_required
    respond_to do |format|
      format.html { redirect_to login_path }
      format.xml do 
        #debugger
        if user = authenticate_with_http_basic { |u, p| User.authenticate(u, p) }
          @current_user = user
        else
          request_http_basic_authentication
        end
      end
    end unless logged_in?
  end                            

  def current_user_id
     if logged_in?
       @current_user.login
     else
       "guest"        
     end
  end

  def current_user=(value)
    if @current_user = value
      session[:user_id] = @current_user.id 
    end
  end

  def current_user
    @current_user ||= ((session[:user_id] && User.find_by_id(session[:user_id])) || 0)
  end
    
  def logged_in?
    current_user != 0
  end
    
end
