class CreateTables < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.text :login, :password
      t.timestamps
    end
    create_table :links do |t|
      t.references :user
      t.text :url, :description, :notes
      t.timestamps
    end
    create_table :tags do |t|
      t.text :name
      t.timestamps      
    end
    create_table :assorts do |t|
      t.references :link, :tag
      t.timestamps
    end
  end

  def self.down
    drop_table :users
    drop_table :links
    drop_table :tags
    drop_table :assorts
  end
end
